import { describe, expect, it } from "bun:test";
import { TestApp } from "../domain/testing/TestApp";
import Human from "./Human";

describe("Human", () => {
  it("should mark the application as updated", () => {
    const eventStore = new TestApp().eventStore;
    const human = new Human(eventStore);

    const appName = "MyApp";
    human.markApplicationAsUpdated(appName);

    const events = eventStore.getAllEvents();
    expect(events).toBeArrayOfSize(1);
    expect(events[0]).toMatchObject({
      type: "ApplicationUpdateFinished",
      payload: { id: "MyApp" },
    });
  });
});
