import EventStore from "../domain/EventStore";
import { ApplicationUpdateFinished } from "../domain/events/ApplicationUpdateFinished";

/**
 * Actions done by a Human in the application
 */
class Human {
  constructor(private eventStore: EventStore) {}

  markApplicationAsUpdated(appName: string) {
    this.eventStore.append(
      new ApplicationUpdateFinished({ id: appName }, new Date())
    );
  }
}

export default Human;
